Changeset 98240 for trunk/dports/aqua


Ignore:
Timestamp:
Sep 30, 2012, 6:40:49 PM (7 years ago)
Author:
jwa@…
Message:

pgAdmin3: version bump to 1.16.0, change dependency to wxWidgets on Cocoa, make PostreSQL dependency a default variant, drop arch checks that were needed with previous wxWidgets on 32-bit Carbon

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/aqua/pgAdmin3/Portfile

    r94118 r98240  
    33
    44PortSystem 1.0
    5 PortGroup               archcheck 1.0
    65
    76name            pgAdmin3
    8 version         1.14.3
    9 license     PostgreSQL
     7version         1.16.0
    108
    119categories      aqua
     
    2725distname        pgadmin3-${version}
    2826
    29 checksums           rmd160  e7846f76c54a935ba1395265f0c2de265c199c45 \
    30                     sha256  00724a88b9f9f6ded24c98052053aef9b09a6a51816fbe9809f398307de12dd7
     27checksums           rmd160  d528d78d1a6ebcbd25f3af31d50623252eb3820c \
     28                    sha256  f9cd6ff620f9c920615261ed6bd4b4c9f7b446420ed18a8080d2375640d851ac
    3129
    32 depends_lib     port:postgresql91 \
    33     port:wxWidgets \
    34     port:openssl \
     30depends_lib port:openssl \
    3531    port:libxml2 \
    36     port:libxslt
     32    port:libxslt \
     33    port:wxWidgets30
    3734
    38 archcheck.files lib/postgresql91/libpq.dylib \
    39     lib/libwx_macu_gl-2.8.dylib
    40 #    lib/libwx_osx_cocoau_gl-2.9.dylib
    41 
    42 configure.args  --with-pgsql=${prefix}/lib/postgresql91 \
     35configure.args  --with-pgsql=${prefix}/lib/postgresql92 \
    4336    --with-wx=${prefix} \
    44     --with-wx-version=2.8 \
     37    --with-wx-version=2.9 \
    4538    --with-libxml2=${prefix} \
    4639    --with-libxslt=${prefix} \
     40    --with-arch-x86_64 \
    4741    --enable-appbundle
    4842
     
    5044build.target    all install
    5145
    52 supported_archs i386 ppc
     46default_variants    +with_postgresql92
    5347
    54 # wxWidgets is not universal
    5548universal_variant no
     49
     50post-configure {
     51    system -W ${worksrcpath} "patch -p0 <${filespath}/patch-Makefile.diff"
     52}
    5653
    5754#destroot.violate_mtree yes
     
    6158}
    6259
    63 variant with_postgresql82 conflicts with_postgresql83 with_postgresql84 with_postgresql90 \
    64     description {support for PostgreSQL 8.2.x} {
    65         archcheck.files-delete lib/postgresql91/libpq.dylib
    66         archcheck.files-append lib/postgresql82/libpq.dylib
    67         depends_lib-delete      port:postgresql91
    68         depends_lib-delete      --with-pgsql=${prefix}/lib/postgresql91
    69         depends_lib-append      port:postgresql82
    70         configure.args-append   --with-pgsql=${prefix}/lib/postgresql82
    71 }
    72 
    73 variant with_postgresql83 conflicts with_postgresql82 with_postgresql84 with_postgresql90 \
     60variant with_postgresql83 conflicts with_postgresql84 with_postgresql90 with_postgresql91 with_postgresql92 \
    7461    description {support for PostgreSQL 8.3.x} {
    75         archcheck.files-delete lib/postgresql91/libpq.dylib
    76         archcheck.files-append lib/postgresql83/libpq.dylib
    77         depends_lib-delete      port:postgresql91
    78         depends_lib-delete      --with-pgsql=${prefix}/lib/postgresql91
     62        depends_lib-delete      port:postgresql92
     63        configure.args-delete   --with-pgsql=${prefix}/lib/postgresql92
    7964        depends_lib-append      port:postgresql83
    8065        configure.args-append   --with-pgsql=${prefix}/lib/postgresql83
    8166}
    8267
    83 variant with_postgresql84 conflicts with_postgresql82 with_postgresql83 with_postgresql90 \
     68variant with_postgresql84 conflicts with_postgresql83 with_postgresql90 with_postgresql91 with_postgresql92 \
    8469    description {support for PostgreSQL 8.4.x} {
    85         archcheck.files-delete lib/postgresql91/libpq.dylib
    86         archcheck.files-append lib/postgresql84/libpq.dylib
    87         depends_lib-delete      port:postgresql91
    88         depends_lib-delete      --with-pgsql=${prefix}/lib/postgresql91
     70        depends_lib-delete      port:postgresql92
     71        configure.args-delete   --with-pgsql=${prefix}/lib/postgresql92
    8972        depends_lib-append      port:postgresql84
    9073        configure.args-append   --with-pgsql=${prefix}/lib/postgresql84
    9174}
    9275
    93 variant with_postgresql90 conflicts with_postgresql82 with_postgresql83 with_postgresql84 \
     76variant with_postgresql90 conflicts with_postgresql83 with_postgresql84 with_postgresql91 with_postgresql92 \
    9477    description {support for PostgreSQL 9.0.x} {
    95         archcheck.files-delete lib/postgresql91/libpq.dylib
    96         archcheck.files-append lib/postgresql90/libpq.dylib
    97         depends_lib-delete      port:postgresql91
    98         depends_lib-delete      --with-pgsql=${prefix}/lib/postgresql91
     78        depends_lib-delete      port:postgresql92
     79        configure.args-delete   --with-pgsql=${prefix}/lib/postgresql92
    9980        depends_lib-append      port:postgresql90
    10081        configure.args-append   --with-pgsql=${prefix}/lib/postgresql90
     82}
     83
     84variant with_postgresql91 conflicts with_postgresql83 with_postgresql84 with_postgresql90 with_postgresql92 \
     85    description {support for PostgreSQL 9.1.x} {
     86        depends_lib-delete      port:postgresql92
     87        configure.args-delete   --with-pgsql=${prefix}/lib/postgresql92
     88        depends_lib-append      port:postgresql91
     89        configure.args-append   --with-pgsql=${prefix}/lib/postgresql91
     90}
     91
     92variant with_postgresql92 conflicts with_postgresql83 with_postgresql84 with_postgresql90 with_postgresql91 \
     93    description {support for PostgreSQL 9.2.x} {
     94        depends_lib-append      port:postgresql92
     95        configure.args-append   --with-pgsql=${prefix}/lib/postgresql92
    10196}
    10297
Note: See TracChangeset for help on using the changeset viewer.